package gmap;

public class Gmap {

	private String zoom;
	private boolean continuousZoom;
	private boolean doubleClickZoom;
	private boolean dragging;

	public Gmap() {
		continuousZoom = false;
		doubleClickZoom = false;
		dragging = false;
	}

	public String getZoom() {
		return zoom;
	}

	public void setZoom(String zoom) {
		this.zoom = zoom;
	}

	public String act() {
		zoom = "17";
		System.out.println("zoom=" + zoom);
		return null;
	}

	public boolean isContinuousZoom() {
		return continuousZoom;
	}

	public void setContinuousZoom(boolean continuousZoom) {
		this.continuousZoom = continuousZoom;
	}

	public boolean isDoubleClickZoom() {
		return doubleClickZoom;
	}

	public void setDoubleClickZoom(boolean doubleClickZoom) {
		this.doubleClickZoom = doubleClickZoom;
	}

	public boolean isDragging() {
		return dragging;
	}

	public void setDragging(boolean dragging) {
		this.dragging = dragging;
	}

	public String getContinuousZoomAsString() {
		return String.valueOf(continuousZoom);
	}

	public String getDoubleClickZoomAsString() {
		return String.valueOf(continuousZoom);
	}

	public String getDraggingAsString() {
		return String.valueOf(continuousZoom);
	}
}
